Bug 494210 - source.c: Assertion 'PA_SOURCE_IS_OPENED(s->thread_info.state)' failed
source.c: Assertion 'PA_SOURCE_IS_OPENED(s->thread_info.state)' failed
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-05 12:06 EDT by Gilboa Davara
Modified: 2009-06-29 10:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 10:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gilboa Davara 2009-04-05 12:06:49 EDT
Description of problem:
While playing music using amarok, I noticed that the music stopped playing.
I tried start the pavucontrol and got "connection refused".
I assumed the pulse died and looked at the logs.

Latest messages in log:
Apr  5 18:52:29 gilboa-work-dev pulseaudio[5645]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually n
othing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Apr  5 18:52:32 gilboa-work-dev pulseaudio[5645]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually n
othing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Apr  5 18:52:32 gilboa-work-dev pulseaudio[5645]: module-alsa-sink.c: ALSA woke us up to write new data to the device, but there was actually n
othing to write! Most likely this is an ALSA driver bug. Please report this issue to the PulseAudio developers.
Apr  5 18:52:36 gilboa-work-dev pulseaudio[5645]: source.c: Assertion 'PA_SOURCE_IS_OPENED(s->thread_info.state)' failed at pulsecore/source.c:
428, function pa_source_post(). Aborting.

Versions:
$ rpm -qa | egrep -e 'alsa-plugins-pulseaudio|^pulseaudio' | sort
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64
pulseaudio-0.9.14-1.fc10.x86_64
pulseaudio-core-libs-0.9.14-1.fc10.x86_64
pulseaudio-esound-compat-0.9.14-1.fc10.x86_64
pulseaudio-libs-0.9.14-1.fc10.i386
pulseaudio-libs-0.9.14-1.fc10.x86_64
pulseaudio-libs-glib2-0.9.14-1.fc10.x86_64
pulseaudio-libs-zeroconf-0.9.14-1.fc10.x86_64
pulseaudio-module-gconf-0.9.14-1.fc10.x86_64
pulseaudio-module-x11-0.9.14-1.fc10.x86_64
pulseaudio-utils-0.9.14-1.fc10.x86_64

$ uname -r
2.6.27.21-170.2.56.fc10.x86_64

- Gilboa
Comment 1 Lennart Poettering 2009-04-06 10:25:32 EDT
Please provide a backtrace!

http://pulseaudio.org/wiki/Community#BugsPatchesTranslations
Comment 2 Gilboa Davara 2009-04-06 11:11:01 EDT
Sadly enough, syslog didn't include one.

- Gilboa
Comment 3 Lennart Poettering 2009-04-06 11:34:43 EDT
I am aware of that. That's why I'd like to ask you to try to reproduce this inside of gdb to get a stack trace in some way as suggested in the wiki page mentioned
Comment 4 Gilboa Davara 2009-04-07 07:48:18 EDT
AK.
I'll install the debug symbols and run it under gdb.

P.S. pulse is complaining badly about the nVidia chipset sound card.

- Gilboa
Comment 5 Gilboa Davara 2009-04-25 01:32:14 EDT
I cannot seem reproduce it (again) with gdb active.
I'd keep this bug alive, in-case someone else hits it.

- Gilboa
Comment 6 Lennart Poettering 2009-06-29 10:12:45 EDT
Closing then. Please reopen when reproducible.

Note You need to log in before you can comment on or make changes to this bug.